package com.ecep.contract.controller.vendor.group;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.model.VendorGroup;
import com.ecep.contract.service.VendorGroupService;
import com.ecep.contract.vm.VendorGroupViewModel;

public abstract class AbstVendorGroupBasedTabSkin
        extends AbstEntityBasedTabSkin<VendorGroupWindowController, VendorGroup, VendorGroupViewModel>
        implements TabSkin {

    public AbstVendorGroupBasedTabSkin(VendorGroupWindowController controller) {
        super(controller);
    }

    public VendorGroupService getVendorGroupService() {
        return controller.vendorGroupService;
    }
}
